/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLFormElement_H___INT_
#define __GdomHTMLFormElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLFormElement.h"
G_BEGIN_DECLS
class GDOMHTMLFormElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_FORM_ELEMENT; }
    GDOMHTMLFormElement(PassRefPtr<WebCore::HTMLFormElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLFormElement_H___INT_*/
